unit uPErsonne;

interface
uses Generics.Collections;

type
  TPersonne = class
     fNom, fPrenom : string;
     fAge : integer;

     public
       constructor Create(nom, prenom : string; age : integer);

       property Nom : string read fNom write fNom;
       property Prenom : string read fPrenom write fPrenom;
       property Age : integer read fAge write fAge;
  end;

type TListePersonnes = TObjectList<TPersonne>;

implementation

{ TPersonne }

constructor TPersonne.Create(nom, prenom: string; age: integer);
begin
  fNom := nom;
  fPrenom := prenom;
  fAge := age;
end;

end.
